metadata:
    format: "Lava-Test-Shell Test Definition 1.0"
    name: SYSTEM_tests
    description: "Run BENCHMARK test suite on Open Embedded."
    test_case_id: "TC_BENCH_SYS_CYCLIC"
    maintainer:
      - denis.humeau@st.com
    os:
      - oe
    scope:
      - functional
    devices:
      - B2260

install:
    sources:
        - http://mymachine/ipk/all
        - http://mymachine/ipk/cortexa9hf-vfp-neon
        - http://mymachine/ipk/sti-lts
    deps:
        - python-pytest
        - python-lxml
        - packagegroup-core-buildessential
        - phoronix-test-suite

run:
  steps:
    - './tests-target/benchmark/run_benchmark.sh TC_BENCH_SYS_CYCLIC > TC_BENCH_SYS_CYCLIC.log'
    - 'find -name "TC_BENCH_SYS_CYCLIC.log" |xargs cat'

parse:
    pattern:  "^(?P<test_case_id>\\w+) RESULT:(?P<result>(pass|fail|unknown))"
    fixupdict:
      FAILED: fail
      SUCCESS: pass
      ABORTED: unknown
